# Generated by Django 3.0.5 on 2021-04-12 10:21

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Subscription_Plan',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('Plan_Name', models.CharField(max_length=30)),
                ('Price', models.IntegerField()),
                ('Product_Plan_ID', models.CharField(blank=True, max_length=30, null=True)),
                ('Product_Price_ID', models.CharField(blank=True, max_length=30, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Subcription_Info_Model',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('Customer_ID', models.CharField(max_length=30)),
                ('Customer_Email', models.EmailField(max_length=255, unique=True)),
                ('Subscription_ID', models.CharField(blank=True, max_length=30, null=True)),
                ('is_subscription', models.BooleanField(default=False)),
                ('Invoice_ID', models.CharField(blank=True, max_length=30, null=True)),
                ('Payment_Type', models.CharField(blank=True, choices=[('bacs_debit', 'bacs_debit'), ('card', 'card'), ('invoice', 'invoice')], max_length=30, null=True)),
                ('End_Date', models.DateTimeField(blank=True, null=True)),
                ('Payment_Status', models.CharField(blank=True, choices=[('In-Progress', 'In-Progress'), ('Succeed', 'Succeed'), ('Failed', 'Failed')], default='In-Progress', max_length=50, null=True)),
                ('Payment_Failed_Code', models.CharField(blank=True, max_length=50, null=True)),
                ('Payment_Failed_Reason', models.CharField(blank=True, max_length=50, null=True)),
                ('Subscription_Plan', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='payment.Subscription_Plan')),
            ],
        ),
    ]
